Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1890789

Summary: CVE-2020-14672 CVE-2020-14765 CVE-2020-14769 CVE-2020-14773 CVE-2020-14776 CVE-2020-14777 CVE-2020-14785 CVE-2020-14786 CVE-2020-14789 CVE-2020-14790 CVE-2020-14791 CVE-2020-14793 CVE-2020-14794 ... community-mysql: various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: msiddiqu
Component: community-mysqlAssignee: Michal Schorm <mschorm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: high    
Version: 32CC: hhorak, ljavorsk, mmuzila, mschorm
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: community-mysql-8.0.22-1.fc33 community-mysql-8.0.22-1.fc31 community-mysql-8.0.22-1.fc32 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-06 01:11:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1890737, 1890738, 1890739, 1890742, 1890743, 1890744, 1890745, 1890746, 1890747, 1890748, 1890749, 1890750, 1890751, 1890752, 1890753, 1890754, 1890755, 1890756, 1890757, 1890758, 1890760, 1890761, 1890762, 1890763, 1890764, 1890765, 1890766, 1890767, 1890768, 1890769, 1890770, 1890771, 1890772, 1890773, 1890774, 1890775, 1890776, 1890778, 1890779, 1890781, 1890782, 1890783, 1992314    

Description msiddiqu 2020-10-22 20:39:55 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2020-10-22 20:39:58 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1890737,1890738,1890739,1890740,1890742,1890743,1890744,1890745,1890746,1890747,1890748,1890749,1890750,1890751,1890752,1890753,1890754,1890755,1890756,1890757,1890758,1890759,1890760,1890761,1890762,1890763,1890764,1890765,1890766,1890767,1890768,1890769,1890770,1890771,1890772,1890773,1890774,1890775,1890776,1890777,1890778,1890779,1890780,1890781,1890782,1890783,1890789

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-10-28 12:15:39 UTC
FEDORA-2020-4f9ee82bc5 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4f9ee82bc5

Comment 3 Fedora Update System 2020-10-28 12:15:56 UTC
FEDORA-2020-eee64a579c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-eee64a579c

Comment 4 Fedora Update System 2020-10-28 12:16:00 UTC
FEDORA-MODULAR-2020-1f9ec43324 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-1f9ec43324

Comment 5 Fedora Update System 2020-10-28 12:16:09 UTC
FEDORA-MODULAR-2020-7643d23551 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-7643d23551

Comment 6 Fedora Update System 2020-10-28 12:16:13 UTC
FEDORA-2020-53df1c05be has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-53df1c05be

Comment 7 Fedora Update System 2020-10-28 12:16:23 UTC
FEDORA-MODULAR-2020-2d679ad57a has been submitted as an update to Fedora 31 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-2d679ad57a

Comment 8 Fedora Update System 2020-10-29 01:51:43 UTC
FEDORA-2020-eee64a579c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-eee64a579c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eee64a579c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-29 02:01:15 UTC
FEDORA-2020-4f9ee82bc5 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4f9ee82bc5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4f9ee82bc5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-29 02:02:37 UTC
FEDORA-MODULAR-2020-7643d23551 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-7643d23551

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-29 02:15:44 UTC
FEDORA-MODULAR-2020-1f9ec43324 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-1f9ec43324

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-29 02:19:03 UTC
FEDORA-MODULAR-2020-2d679ad57a has been pushed to the Fedora 31 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-2d679ad57a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-29 02:21:44 UTC
FEDORA-2020-53df1c05be has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-53df1c05be`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-53df1c05be

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-06 01:11:44 UTC
FEDORA-2020-eee64a579c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-11-06 01:11:58 UTC
FEDORA-2020-53df1c05be has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-11-06 01:21:18 UTC
FEDORA-2020-4f9ee82bc5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-11-06 01:30:17 UTC
FEDORA-MODULAR-2020-7643d23551 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-11-06 01:35:21 UTC
FEDORA-MODULAR-2020-2d679ad57a has been pushed to the Fedora 31 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-11-06 01:36:31 UTC
FEDORA-MODULAR-2020-1f9ec43324 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-11-07 00:22:45 UTC
FEDORA-2020-53df1c05be has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.